Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.pdf
Class PDFICCStream

    java.lang.Object
      org.apache.fop.pdf.PDFObject
          org.apache.fop.pdf.PDFDictionary
              org.apache.fop.pdf.AbstractPDFStream
                  org.apache.fop.pdf.PDFStream
                      org.apache.fop.pdf.PDFICCStream

All Implemented Interfaces:
  PDFWritable

public class PDFICCStream
extends PDFStream

Special PDFStream for ICC profiles (color profiles).

Field Summary

Fields inherited from class org.apache.fop.pdf.PDFStream
`data`

Fields inherited from class org.apache.fop.pdf.PDFDictionary
`entries, order`

Fields inherited from class org.apache.fop.pdf.PDFObject
`DATE_FORMAT, log`

Constructor Summary
`PDFICCStream()`

Method Summary
`java.awt.color.ICC_Profile` | `getICCProfile()`
`protected int` | `output(java.io.OutputStream stream)` overload the base object method so we don't have to copy byte arrays around so much Overload the base object method so we don't have to copy byte arrays around so much Write the PDF represention of this object
`protected void` | `outputRawStreamData(java.io.OutputStream out)` Sends the raw stream data to the target OutputStream.
`protected void` | `populateStreamDict(java.lang.Object lengthEntry)` Populates the dictionary with all necessary entries for the stream. Override this method if you need additional entries.
`void` | `setColorSpace(java.awt.color.ICC_Profile icc, PDFDeviceColorSpace alt)` Sets the color space to encode in PDF.

Methods inherited from class org.apache.fop.pdf.PDFStream
`add, getBufferOutputStream, getBufferWriter, getDataLength, getSizeHint, setData`

Methods inherited from class org.apache.fop.pdf.AbstractPDFStream
`encodeAndWriteStream, encodeStream, getDefaultFilterName, getFilterList, outputStreamData, prepareImplicitFilters, setupFilterList`

Methods inherited from class org.apache.fop.pdf.PDFDictionary
`get, put, put, writeDictionary`

Methods inherited from class org.apache.fop.pdf.PDFObject
`contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatDateTime, formatDateTime, formatObject, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setParent, toPDF, toPDFString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PDFICCStream

    public PDFICCStream()

See Also:
  `PDFObject.PDFObject()`

Method Detail

### setColorSpace

    public void setColorSpace(java.awt.color.ICC_Profile icc,
                              PDFDeviceColorSpace alt)

  Sets the color space to encode in PDF.

  Parameters:
    `icc` - the ICC profile
    `alt` - the PDF color space

### getICCProfile

    public java.awt.color.ICC_Profile getICCProfile()

  Returns:
    the ICC profile

### output

    protected int output(java.io.OutputStream stream)
                  throws java.io.IOException

  overload the base object method so we don't have to copy byte arrays around so much Overload the base object method so we don't have to copy byte arrays around so much Write the PDF represention of this object

  Overrides:
    `output` in class `PDFStream`
  Throws:
    `java.io.IOException`

### outputRawStreamData

    protected void outputRawStreamData(java.io.OutputStream out)
                                throws java.io.IOException

  Sends the raw stream data to the target OutputStream.

  Overrides:
    `outputRawStreamData` in class `PDFStream`
  Throws:
    `java.io.IOException`

### populateStreamDict

    protected void populateStreamDict(java.lang.Object lengthEntry)

  Populates the dictionary with all necessary entries for the stream. Override this method if you need additional entries.

  Overrides:
    `populateStreamDict` in class `AbstractPDFStream`
  Parameters:
    `lengthEntry` - value for the /Length entry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.